%define verdate 20141218

Name:      php-getid3
Version:   1.9.9
Release:   1%{?dist}
Epoch:     2
License:   GPLv2
Summary:   The PHP media file parser
Group:     Development/Libraries
URL:       http://getid3.sourceforge.net/
Source0:   http://downloads.sourceforge.net/getid3/getID3-%{version}-%{verdate}.zip
#Source1:   gpl-2.0.txt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  php-common >= 5.0.5
Requires:  php-gd
BuildArch: noarch

%description
getID3() is a PHP script that extracts useful information 
(such as ID3 tags, bitrate, playtime, etc.) from MP3s & 
other multimedia file formats (Ogg, WMA, WMV, ASF, WAV, AVI, 
AAC, VQF, FLAC, MusePack, Real, QuickTime, Monkey's Audio, MIDI and more).

%prep
#setup -q -n getID3-%{version}
%setup -q -c
mv getID3-%{version}/* .
rm -rf getID3-%{version}
for i in ./*.txt demos/*.php; do
      iconv -f iso-8859-1 -t utf-8 < "$i" > "${i}_"
      touch -r "$i" "${i}_"
      mv "${i}_" "$i"
done
sed -i 's/\r//' demos/index.php
sed -i 's/\r//' changelog.txt

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/php
cp -a getid3 %{buildroot}%{_datadir}/php/
#cp -a %{SOURCE1} %{_builddir}/%{name}-%{version}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license licenses/* license.txt
%doc changelog.txt dependencies.txt readme.txt structure.txt demos README.md
%{_datadir}/php/getid3

%changelog
* Fri Mar  6 2015 momo-i <webmaster@momo-i.org> - 2:1.9.9-1
- Update to 1.9.9

* Thu Oct  2 2014 momo-i <webmaster@momo-i.org> - 2:1.9.8-1
- Update to 1.9.8

* Tue Apr  2 2013 momo-i <webmaster@momo-i.org> - 2:1.9.5-1
- Update 1.9.5

* Sun Oct 07 2012 Paulo Roma <roma@lcg.ufrj.br> - 1:1.9.3-1
- Downgraded to latest stable version.
- Got needed extensions by using:
  phpci print --recursive --report extension /usr/share/php/getid3/
- Added BR php-gd.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0b5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0b5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild


* Fri Jul 31 2009 Paulo Roma <roma@lcg.ufrj.br> 2.0.0b5-2
- Updated ampache patch.

* Thu Jun 04 2009 Paulo Roma <roma@lcg.ufrj.br> 2.0.0b5-1
- Updated to 2.0.0b5
- Patched with ampache fixes.

* Thu Jun 04 2009 Paulo Roma <roma@lcg.ufrj.br> 1.7.9-1
- Initial spec file.
